package com.apobates.forum.letterbox.impl.event;

import com.apobates.forum.letterbox.entity.ForumLetter;
import com.apobates.forum.letterbox.entity.ForumLetterReceiver;
import java.util.Set;

/**
 * 信件创建事件
 *
 * @author xiaofanku
 * @since 20200527
 */
public class ForumLetterPostEvent {
    private static final long serialVersionUID = -4875399186422889558L;
    private final ForumLetter letter;
    private final Set<ForumLetterReceiver> receivers;

    public ForumLetterPostEvent(ForumLetter letter, Set<ForumLetterReceiver> receivers) {
        this.letter = letter;
        this.receivers = receivers;
    }
    
    public ForumLetter getLetter() {
        return letter;
    }

    public Set<ForumLetterReceiver> getReceivers() {
        return receivers;
    }
}